## flex-2.5.33.tar.bz2

=== po/Makefile ===
# Makefile for PO directory in any package using GNU gettext.
# Copyright (C) 1995-1997, 2000-2003 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
#
# This file can be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU General Public
# License but which still want to provide support for the GNU gettext
# functionality.
# Please note that the actual code of GNU gettext is covered by the GNU
# General Public License and is *not* in the public domain.

PACKAGE = flex
VERSION = 2.5.33

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr
exec_prefix = ${prefix}
datadir = ${prefix}/share
localedir = $(datadir)/locale
gettextsrcdir = $(datadir)/gettext/po

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(top_builddir)/./mkinstalldirs
mkinstalldirs = $(SHELL) $(MKINSTALLDIRS)

GMSGFMT = /usr/bin/msgfmt
MSGFMT = /usr/bin/msgfmt
XGETTEXT = /usr/bin/xgettext
MSGMERGE = msgmerge
MSGMERGE_UPDATE = /usr/bin/msgmerge --update
MSGINIT = msginit
MSGCONV = msgconv
MSGFILTER = msgfilter

POFILES =  ca.po da.po de.po es.po fr.po ga.po ko.po nl.po pl.po pt_BR.po ro.po ru.po sv.po tr.po vi.po zh_CN.po
GMOFILES =  ca.gmo da.gmo de.gmo es.gmo fr.gmo ga.gmo ko.gmo nl.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo tr.gmo vi.gmo zh_CN.gmo
UPDATEPOFILES =  ca.po-update da.po-update de.po-update es.po-update fr.po-update ga.po-update ko.po-update nl.po-update pl.po-update pt_BR.po-update ro.po-update ru.po-update sv.po-update tr.po-update vi.po-update zh_CN.po-update
DUMMYPOFILES =  ca.nop da.nop de.nop es.nop fr.nop ga.nop ko.nop nl.nop pl.nop pt_BR.nop ro.nop ru.nop sv.nop tr.nop vi.nop zh_CN.nop
DISTFILES.common = Makefile.in.in remove-potcdate.sin \
$(DISTFILES.common.extra1) $(DISTFILES.common.extra2) $(DISTFILES.common.extra3)
DISTFILES = $(DISTFILES.common) Makevars POTFILES.in $(DOMAIN).pot stamp-po \
$(POFILES) $(GMOFILES) \
$(DISTFILES.extra1) $(DISTFILES.extra2) $(DISTFILES.extra3)

POTFILES = \
     ../buf.c \
     ../ccl.c \
     ../dfa.c \
     ../ecs.c \
     ../gen.c \
     ../libmain.c \
     ../libyywrap.c \
     ../main.c \
     ../misc.c \
     ../nfa.c \
     ../options.c \
     ../parse.y \
     ../scan.l \
     ../scanopt.c \
     ../skel.c \
     ../sym.c \
     ../tblcmp.c \
     ../yylex.c

CATALOGS =  ca.gmo da.gmo de.gmo es.gmo fr.gmo ga.gmo ko.gmo nl.gmo pl.gmo pt_BR.gmo ro.gmo ru.gmo sv.gmo tr.gmo vi.gmo zh_CN.gmo

# Makevars gets inserted here. (Don't remove this line!)
# Makefile variables for PO directory in any package using GNU gettext.

# Usually the message domain is the same as the package name.
DOMAIN = $(PACKAGE)

# These two variables depend on the location of this directory.
subdir = po
top_builddir = ..

# These options get passed to xgettext.
XGETTEXT_OPTIONS = --keyword=_ --keyword=N_

# This is the copyright holder that gets inserted into the header of the
# $(DOMAIN).pot file.  Set this to the copyright holder of the surrounding
# package.  (Note that the msgstr strings, extracted from the package's
# sources, belong to the copyright holder of the package.)  Translators are
# expected to transfer the copyright for their translations to this person
# or entity, or to disclaim their copyright.  The empty string stands for
# the public domain; in this case the translators are expected to disclaim
# their copyright.
COPYRIGHT_HOLDER = 

# This is the email address or URL to which the translators shall report
# bugs in the untranslated strings:
# - Strings which are not entire sentences, see the maintainer guidelines
#   in the GNU gettext documentation, section 'Preparing Strings'.
# - Strings which use unclear terms or require additional context to be
#   understood.
# - Strings which make invalid assumptions about notation of date, time or
#   money.
# - Pluralisation problems.
# - Incorrect English spelling.
# - Incorrect formatting.
# It can be your email address, or a mailing list address where translators
# can write to without being subscribed, or the URL of a web page through
# which the translators can contact you.
MSGID_BUGS_ADDRESS = lex-help@lists.sourceforge.net

# This is the list of locale categories, beyond LC_MESSAGES, for which the
# message catalogs shall be used.  It is usually empty.
EXTRA_LOCALE_CATEGORIES =

.SUFFIXES:
.SUFFIXES: .po .gmo .mo .sed .sin .nop .po-update

.po.mo:
	@echo "$(MSGFMT) -c -o $@ $<"; \
	$(MSGFMT) -c -o t-$@ $< && mv t-$@ $@

.po.gmo:
	@lang=`echo $* | sed -e 's,.*/,,'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o $${lang}.gmo $${lang}.po"; \
	cd $(srcdir) && rm -f $${lang}.gmo && $(GMSGFMT) -c --statistics -o t-$${lang}.gmo $${lang}.po && mv t-$${lang}.gmo $${lang}.gmo

.sin.sed:
	sed -e '/^#/d' $< > t-$@
	mv t-$@ $@


all: all-yes

all-yes: stamp-po
all-no:

# stamp-po is a timestamp denoting the last time at which the CATALOGS have
# been loosely updated. Its purpose is that when a developer or translator
# checks out the package via CVS, and the $(DOMAIN).pot file is not in CVS,
# "make" will update the $(DOMAIN).pot and the $(CATALOGS), but subsequent
# invocations of "make" will do nothing. This timestamp would not be necessary
# if updating the $(CATALOGS) would always touch them; however, the rule for
# $(POFILES) has been designed to not touch files that don't need to be
# changed.
stamp-po: $(srcdir)/$(DOMAIN).pot
	test -z "$(CATALOGS)" || $(MAKE) $(CATALOGS)
	@echo "touch stamp-po"
	@echo timestamp > stamp-poT
	@mv stamp-poT stamp-po

# Note: Target 'all' must not depend on target '$(DOMAIN).pot-update',
# otherwise packages like GCC can not be built if only parts of the source
# have been downloaded.

# This target rebuilds $(DOMAIN).pot; it is an expensive operation.
# Note that $(DOMAIN).pot is not touched if it doesn't need to be changed.
$(DOMAIN).pot-update: $(POTFILES) $(srcdir)/POTFILES.in remove-potcdate.sed
	$(XGETTEXT) --default-domain=$(DOMAIN) --directory=$(top_srcdir) \
	  --add-comments=TRANSLATORS: $(XGETTEXT_OPTIONS) \
	  --files-from=$(srcdir)/POTFILES.in \
	  --copyright-holder='$(COPYRIGHT_HOLDER)' \
	  --msgid-bugs-address='$(MSGID_BUGS_ADDRESS)'
	test ! -f $(DOMAIN).po || { \
	  if test -f $(srcdir)/$(DOMAIN).pot; then \
	    sed -f remove-potcdate.sed < $(srcdir)/$(DOMAIN).pot > $(DOMAIN).1po && \
	    sed -f remove-potcdate.sed < $(DOMAIN).po > $(DOMAIN).2po && \
	    if cmp $(DOMAIN).1po $(DOMAIN).2po >/dev/null 2>&1; then \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(DOMAIN).po; \
	    else \
	      rm -f $(DOMAIN).1po $(DOMAIN).2po $(srcdir)/$(DOMAIN).pot && \
	      mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	    fi; \
	  else \
	    mv $(DOMAIN).po $(srcdir)/$(DOMAIN).pot; \
	  fi; \
	}

# This rule has no dependencies: we don't need to update $(DOMAIN).pot at
# every "make" invocation, only create it when it is missing.
# Only "make $(DOMAIN).pot-update" or "make dist" will force an update.
$(srcdir)/$(DOMAIN).pot:
	$(MAKE) $(DOMAIN).pot-update

# This target rebuilds a PO file if $(DOMAIN).pot has changed.
# Note that a PO file is not touched if it doesn't need to be changed.
$(POFILES): $(srcdir)/$(DOMAIN).pot
	@lang=`echo $@ | sed -e 's,.*/,,' -e 's/\.po$$//'`; \
	test "$(srcdir)" = . && cdcmd="" || cdcmd="cd $(srcdir) && "; \
	echo "$${cdcmd}$(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot"; \
	cd $(srcdir) && $(MSGMERGE_UPDATE) $${lang}.po $(DOMAIN).pot


install: install-exec install-data
install-exec:
install-data: install-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    $(INSTALL_DATA) $(srcdir)/$$file \
			    $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	  for file in Makevars; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
install-data-no: all
install-data-yes: all
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  if test -r $$cat; then realcat=$$cat; else realcat=$(srcdir)/$$cat; fi; \
	  $(INSTALL_DATA) $$realcat $(DESTDIR)$$dir/$(DOMAIN).mo; \
	  echo "installing $$realcat as $(DESTDIR)$$dir/$(DOMAIN).mo"; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	      rm -f $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      ln -s ../LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      ln $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo 2>/dev/null || \
	      cp -p $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(DOMAIN).mo $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo; \
	      echo "installing $$realcat link as $(DESTDIR)$(localedir)/$$lang/$$lc/$(DOMAIN).mo"; \
	    fi; \
	  done; \
	done

install-strip: install

installdirs: installdirs-exec installdirs-data
installdirs-exec:
installdirs-data: installdirs-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  $(mkinstalldirs) $(DESTDIR)$(gettextsrcdir); \
	else \
	  : ; \
	fi
installdirs-data-no:
installdirs-data-yes:
	$(mkinstalldirs) $(DESTDIR)$(datadir)
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed -e 's/\.gmo$$//'`; \
	  dir=$(localedir)/$$lang/LC_MESSAGES; \
	  $(mkinstalldirs) $(DESTDIR)$$dir; \
	  for lc in '' $(EXTRA_LOCALE_CATEGORIES); do \
	    if test -n "$$lc"; then \
	      if (cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc 2>/dev/null) | grep ' -> ' >/dev/null; then \
	        link=`cd $(DESTDIR)$(localedir)/$$lang && LC_ALL=C ls -l -d $$lc | sed -e 's/^.* -> //'`; \
	        mv $(DESTDIR)$(localedir)/$$lang/$$lc $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	        mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        (cd $(DESTDIR)$(localedir)/$$lang/$$lc.old && \
	         for file in *; do \
	           if test -f $$file; then \
	             ln -s ../$$link/$$file $(DESTDIR)$(localedir)/$$lang/$$lc/$$file; \
	           fi; \
	         done); \
	        rm -f $(DESTDIR)$(localedir)/$$lang/$$lc.old; \
	      else \
	        if test -d $(DESTDIR)$(localedir)/$$lang/$$lc; then \
	          :; \
	        else \
	          rm -f $(DESTDIR)$(localedir)/$$lang/$$lc; \
	          mkdir $(DESTDIR)$(localedir)/$$lang/$$lc; \
	        fi; \
	      fi; \
	    fi; \
	  done; \
	done

# Define this as empty until I found a useful application.
installcheck:

uninstall: uninstall-exec uninstall-data
uninstall-exec:
uninstall-data: uninstall-data-yes
	if test "$(PACKAGE)" = "gettext-tools"; then \
	  for file in $(DISTFILES.common) Makevars.template; do \
	    rm -f $(DESTDIR)$(gettextsrcdir)/$$file; \
	  done; \
	else \
	  : ; \
	fi
uninstall-data-no:
uninstall-data-yes:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \

=== debian/changelog ===
flex (2.5.33-11) unstable; urgency=low

  * Bug fix: "flex: [INTL:es] Spanish po-debconf translation", thanks to
    César Gómez Martín                                  (Closes: #402235).

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 18 Jan 2007 20:31:42 -0600

flex (2.5.33-10) unstable; urgency=low

  * Remove trailing ; from libfl.so script.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 23 Oct 2006 23:50:43 -0500

flex (2.5.33-9) unstable; urgency=low

  * Install a version of libfl.so that is recognixed as a ld script but ld.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 12 Sep 2006 03:35:33 -0500

flex (2.5.33-8) unstable; urgency=low

  * Also install libfl.so

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 11 Sep 2006 13:30:07 -0500

flex (2.5.33-7) unstable; urgency=low

  * Typo fix in changelog. We started providing  libfl_pic.a in the
    previous upload, not sev3eral years ago, and the name of the static
    library compiled with position independent code is libfl_pic.a.

 -- Manoj Srivastava <srivasta@debian.org>  Thu,  7 Sep 2006 20:10:40 -0500

flex (2.5.33-6) unstable; urgency=low

  * Starting with version 2.5.33-6 of flex we have started providing
    a static library compiled with position independent code, namely,
    libfl_pic.a.  The problem is with packages that contain share
    libraries with a flex scanner compiled in. Since flex generates code
    that is not self contained, and the missing symbols live in
    libfl.a. However, since linking a shared library with a object
    containing non position independent code stopped working with gcc 4.1
    (apparently, it was sheer luck that it worked at all). So now we also
    provide libfl_pic.a for shared library packages to link with.

    An alternative would have been to provide a full fledged
    shared library, but that would have been a major break with upstream
    and other distributions that also have flex, and would entail
    creating new library and devel packages for flex, which is more work
    that seems justified (considering that we would have to maintain the
    fork, and keep track of any ABI changes, and all that).

  * Bug fix: "flex: [INTL:ru] Russian debconf templates translation",
    thanks to Yuri Kozlov                                 (Closes: #382402).
  * Started adding md5sums of the package, since dpkg is not ever likely
    to directly support this.

 -- Manoj Srivastava <srivasta@debian.org>  Tue,  5 Sep 2006 22:50:29 -0500

flex (2.5.33-5) unstable; urgency=low

  * Bug fix: "[INTL:lt] Lithuanian debconf translation", thanks to
    Gintautas Miliauskas                                      (Closes: #381235).
  * Bug fix: "flex: warning in generated code", thanks to Martin
    Michlmayr. Apply the patch from Bug#359127 to skel.c      (Closes: #379763).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 Aug 2006 00:28:41 -0500

flex (2.5.33-4) unstable; urgency=low

  * Bug fix: "Spelling mistake in package description", thanks to Simon
    Waters. reenterant -> reentrant                         (Closes: #363415).
  * Bug fix: "flex [INTL:pt] Portuguese translation for debconf messages",
    thanks to Miguel Figueiredo                               (Closes: #362984).

 -- Manoj Srivastava <srivasta@debian.org>  Wed,  3 May 2006 13:11:58 -0500

flex (2.5.33-3) unstable; urgency=low

  * Bug fix: "cannot purge", thanks to Sebastian Rittau. Fix the package
    name var in doc.postrm                               (Closes: #357525).
  * Bug fix: "flex: project web page location doesn't work", thanks to
    Martin Dorey. The sourceforge project name was changed from lex to
    flex recently.                                       (Closes: #357515).
  * Updated copyright file as well, and updated the years for the
    copyright. 
  * Please note that the CVE-2006-0459 bug with buffer overflows in
    parsers generated with REJECT rules and/or trailing contexts does not
    apply to flex 2.5.33
  * Bug fix: "incorrect catalan translation", thanks to Carles Pina i
    Estany                                               (Closes: #359876).
  * Bug fix: "flex: comparison between signed and unsigned in generated
    scanner", thanks to Russ Allbery                     (Closes: #359127).

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 11 Apr 2006 10:12:51 -0500

flex (2.5.33-2) unstable; urgency=low

  * Bug fix: "flex - FTBFS: /build/buildd/flex-2.5.33/missing: line 46:
    flex: command not found", thanks to Bastian Blank. Hmm. Updatimg
    md5sum, thanks to some analysis by Kurt Roeckx    (Closes: #354552).

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  5 Mar 2006 11:38:34 -0600

flex (2.5.33-1) unstable; urgency=low

  * New upstream release.
   ** all flex resources are now to be found from the website at
     http://flex.sourceforge.net/ 
   ** there was no release 2.5.32 published
   ** numerous bug and security fixes
   ** new nl, vi, sv, ro, po, ga, ca, fr, tr translations from the
      translation project 
   ** upgrade to use gettext 0.12 (this now makes the "pdf" and "ps"
      targets in the build system able to be run successfully)

 -- Manoj Srivastava <srivasta@debian.org>  Sun, 26 Feb 2006 20:53:27 -0600

flex (2.5.31-38) unstable; urgency=low

  * Bug fix: "flex_2.5.31-36(powerpc/unstable): FTBFS: ", thanks to Ryan
    Murray. Since we already use MAINTAINER_MODE, there was no help there.
    As a last resort, always touch scan.c if we do not find flex. 
                                                           (Closes: #343355).
  * Bug fix: "flex: [INTL:da] Danish debconf translation", thanks to Claus
    Hindsgaul                                               (Closes: #353900).
  * Bug fix: "flex: Space leak in C++ scanner", thanks to Vincent Zweije
    This may be a partial fix, but it seems to be good enough.
                                                             (Closes: #233215).



=== debian/control ===
Source: flex
Section: devel
Priority: standard
Build-Depends: bison, gettext, texinfo, help2man, file, texi2html (>= 1.76-1), po-debconf, gettext
Build-Depends-Indep: texi2html (>= 1.76-1)
Maintainer: Manoj Srivastava <srivasta@debian.org>
Standards-Version: 3.6.2.0

Package: flex
Architecture: any
Pre-Depends: debconf | debconf-2.0
Depends: ${shlibs:Depends}, m4
Recommends: gcc | c-compiler
Suggests: bison
Description: A fast lexical analyzer generator.
 flex is a tool for generating scanners: programs which recognized lexical
 patterns in text. flex reads the given input files for a description of a
 scanner to generate. The description is in the form of pairs of regular
 expressions and C code, called rules. flex generates as output a C source
 file, lex.yy.c, which defines a routine yylex().  This file is compiled
 and linked with the -lfl library to produce an executable. When the
 executable is run, it analyzes its input for occurrences of the regular
 expressions. Whenever it finds one, it executes the corresponding C code.
 .
 The behaviour of Flex has undergone a major change since version
 2.5.4a; Flex scanners are now reentrant, you may have multiple
 scanners in the same program with differing sets of defaults, and
 they play nicer with modern C and C++ compilers. The Flip side is
 that Flex no longer conforms to the POSIX lex behaviour, and the
 scanners require conforming implementations when flex is used in ANSI
 C mode. The package flex-old provides the older behaviour.
 .
 This product includes software developed by the University of California,
 Berkeley and its contributors. The upstream source code can be found at 
 http://prdownloads.sourceforge.net/flex/flex-2.5.33.tar.bz2?download
 The project web page is at http://flex.sf.net/

Package: flex-doc
Section: doc
Priority: optional
Architecture: all
Description: Documentation for flex (a fast lexical analyzer generator)
 This package contains the HTML documentation for flex. The upstream 
 source code can be found at
 http://prdownloads.sourceforge.net/lex/flex-2.5.31.tar.bz2?download
 The project web page is at http://lex.sf.net/

=== debian/rules ===
#! /usr/bin/make -f
############################ -*- Mode: Makefile; coding: utf-8 -*- ###########################
## rules --- 
## Author           : Manoj Srivastava ( srivasta@glaurung.green-gryphon.com ) 
## Created On       : Fri Nov 14 12:33:34 2003
## Created On Node  : glaurung.green-gryphon.com
## Last Modified By : Manoj Srivastava
## Last Modified On : Fri Mar 12 12:15:52 2004
## Last Machine Used: glaurung.internal.golden-gryphon.com
## Update Count     : 73
## Status           : Unknown, Use with caution!
## HISTORY          : 
## Description      : 
## 
## arch-tag: 9a5063f4-1e20-4fff-b22a-de94c1e3d954
## 
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
##
###############################################################################

# Include dpkg-architecture generated variables
include debian/common/archvars.mk

# Set variables with information extracted from control and changelog files
include debian/common/pkgvars.mk

# variables useful for perl packages
include debian/common/perlvars.mk

# we use debconf
include debian/common/debconf.mk

# Install commands
include debian/common/install_cmds.mk

include debian/local-vars.mk

include debian/common/copt.mk

include debian/common/automake.mk

CFLAGS  += -Wall -D_REENTRANT


all:
	@echo nothing to be done

include debian/common/targets.mk

include debian/local.mk


#Local variables:
#mode: makefile
#End:

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=3

http://people.debian.org/~lolando/sfdlr.php?project=flex flex-([\d.]*)\.tar\.gz
#ftp://ftp.sf.net/pub/sourceforge/f/fl/flex/flex-([\d.]*)\.tar\.gz
